- +

Просмотр сообщений

В этом разделе можно просмотреть все сообщения, сделанные этим пользователем.


Темы - denkin

Страницы: [1] 2 3
1
Уязвимости в VLC, PowerDNS, Jenkins, Xen, Ruby, Asterisk, GraphicsMagick и Apache Synapse

Цитировать
Серия новых уязвимостей, информация о которых раскрыта в последние несколько дней:

Уязвимость (CVE-2017-17670) в мультимедийном проигрывателе VLC, вызванная некорректным приведением типов и потенциально способная привести к выполнению кода при распаковке специально оформленных файлов в формате MP4. Проблема пока исправлена только в ветке HEAD;
Уязвимость в PowerDNS Recursor, позволяющая инициировать крах процесса при обработке ответа DNS-сервера, содержащего некорректное значение поля CNAME. Проблема проявляется только в ветке 4.0.x и устранена в обновлении 4.0.8;
Уязвимость в системе непрерывной интеграции Jenkins, вызванная состоянием гонки в процессе выполнения команд инициализации при запуске, из-за чего могут быть не выставлены некоторые важные ограничения, необходимые для обеспечения безопасности, и вовремя не включена защита от CSRF-атак. Проблема устранена в выпусках Jenkins 2.95 и 2.89.2;
Четыре уязвимости в гипервизоре Xen, позволяющие гостевому окружению получить доступ к внутренним страницам памяти гипервизора, вызвать крах гипервизора и поднять свои привилегии;
В модуле Net::FTP, поставляемом в базовом наборе языка Ruby, устранена уязвимость (CVE-2017-17405), позволяющая выполнить произвольных shell-код через указание имени файла, начинающегося с символа "|". Проблема устранена в выпусках Ruby 2.3.6 и 2.2.9;
В RTP-стеке коммуникационной платформы Asterisk исправлена уязвимость, позволяющая без аутентификации вызвать крах серверного процесса через отправку специально оформленного RTCP-пакета. Проблема устранена в выпусках Asterisk 13.18.4, 14.7.4, 15.1.4;
В пакете GraphicsMagick устранено 29 уязвимостей, в основном связанных с переполнением буфера при обработке различных форматов. Проблемы устранены в GraphicsMagick 1.3.27;
В Apache Synapse устранена удалённо эксплуатируемая уязвимость (CVE-2017-15708), которая может привести к выполнению кода на сервере через подстановку специально оформленных сериализированных объектов. Проблема устранена в выпуске Apache Synapse 3.0.1, а также в Apache Commons Collections 3.2.2 и 4.1;
В Apache Fineract исправлена возможность подстановки SQL-кода (CVE-2017-5663) через отправку специально оформленного параметра sqlSearch в REST-запросе (например, "https://DomainName/api/v1/clients?sqlSearch=or (1==1)"). Проблема устранена в выпуске Apache Fineract 1.0.0.
Новость на Opennet

2
Новости / Выпуск дисплейного сервера Mir 0.29
« : Декабрь 14, 2017, 20:35:51 »
Подготовлен релиз дисплейного сервера Mir 0.29, разработка которого продолжается компанией Canonical, несмотря на отказ от развития оболочки Unity и редакции Ubuntu для смартфонов. Mir остаётся востребован в проектах Canonical для встраиваемых устройств и интернета вещей (IoT). Пакеты для установки в Ubuntu 16.04, 17.04 и 17.10 размещены в PPA-репозитории проекта. Пакет с Mir 0.29 также одобрен для включения в репозиторий Ubuntu 18.04 (будет перенесён из proposed в main в течение недели).

Основные изменения:

Продолжена реализация поддержки средств для обеспечения запуска Wayland-приложений в окружении Mir, используя Mir в качестве композитного сервера для Wayland. Улучшен охват тестами кода, связанного с Wayland. Устранены проблемы, выявленные в процессе проверки кода на предмет совместимости со спецификациями Wayland.
ABI mirserver обновлён до версии 46;
Обеспечена возможность сборки и работы в окружении дистрибутива Fedora (26, 27 и rawhide).
Включена поддержка захвата экрана в буферы в разделяемой памяти (SHM).

Новость на Opennet

3
Компания Canonical объявила о публикации для Ubuntu 16.04 криптографических модулей, прошедших сертификацию на предмет соответствия стандарту безопасности FIPS 140-2 (level 1). Сертификация пройдена для модулей Kernel Crypto API, OpenSSL, OpenSSH Client, OpenSSH Server и Strongswan на серверах IBM Power System 8001-22C/8247-22L/8335-GTB, IBM z13 и Supermicro SYS-5018R-WR. Модули доступны только подписчикам сервиса Ubuntu Advantage Advanced.

Получение сертификата FIPS 140-2 является обязательным требованием к продуктам при их использовании в обеспечении защиты конфиденциальных данных государственных учреждений США и Канады. Сертификат подтверждает соблюдение требований к криптографическим модулям и выдаётся Американским институтом стандартов и технологий (NIST) совместно с Канадским Центром безопасности коммуникаций после досконального тестирования компонентов дистрибутива независимой тестовой лабораторией.

Новость на Opennet

4
Подготовлена новая версия двухпанельного файлового менеджера Double Commander 0.8.0, пытающегося повторить функциональность Total Commander и обеспечить совместимость с его плагинами. Предлагается два варианта интерфейса пользователя - на базе GTK2 и Qt4. Проект находится стадии beta-разработки. Код доступен под лицензией GPLv2.
Новость на Opennet.
Spoiler: Подробности • показать

"Из особенностей Double Commander можно отметить выполнение всех операций в фоновом режиме, поддержку переименования группы файлов по маске, интерфейс на базе вкладок, двухпанельный режим с вертикальным или горизонтальным размещением панелей, встроенный текстовый редактор с подсветкой синтаксиса, работа с архивами как с виртуальными директориями, расширенные средства поиска, настраиваемая панель, поддержка плагинов Total Commander в форматах WCX, WDX и WLX, функция ведения лога файловых операций.

Основные новшества Double Commander 0.8.0:

Добавлена возможность подключения собственных скриптов-обработчиков на языке Lua, из которых можно вызывать внутренние команды Double Commander;
В плагине FTP добавлена поддержка протокола SFTP (требуется сборка с libssh2);
Реализовано древовидное представление меню;
Возможность одновременного выполнения нескольких операций поиска;
Добавлен плагин для вывода информации о музыкальных файлах;
Добавлена проверка целостности после выполнения копирования или перемещения файла;
Улучшена поддержка экранов с высокой плотностью пикселей (High-DPI);
В текстовом редакторе обеспечена возможность определения собственных правил подсветки синтаксиса;
На платформе Windows обеспечена поддержка файловых путей, состоящих более чем из 259 символов;
Добавлена поддержка изображений в формате WebP;
Добавлен инструмент для вычисления и проверки хэшей SHA-224 и SHA-3 (224, 256, 384, 512);
Возможность выбора кодировки по умолчанию для descript.ion;
Изменён формат хранения паролей в файле pwd.ini, для шифрования паролей теперь используется AES-256 и Blowfish-448 с генерацией ключа при помощи функции scrypt;"
(ц)


5
Компания AMD опубликовала выпуск драйвера AMDGPU-PRO 17.50 для Linux, основанного на свободном модуле ядра AMDGPU, развиваемого в рамках инициативы по унификации графического стека AMD для проприетарных и открытых видеодрайверов. Драйвер поддерживает API OpenGL 4.5, GLX 1.4, OpenCL 1.2, Vulkan 1.0 и VDPAU/VAAPI, включает базовые средства для управления экраном и питанием, поддерживает интерфейсы KMS (Kernel Mode Setting) и ADF (Atomic Display Framework), использует совместимый с лицензией GPL модуль ядра, поддерживает возможности FirePro (управление EDID и 30-разрядная цветность), Radeon FreeSync и DirectGMA для OpenGL.

Новый выпуск примечателен интеграцией в одном наборе открытого и проприетарного стеков драйверов. Драйверы amdgpu-pro и amdgpu-all-open (vulkan-драйвер RADV и OpenGL-драйвер RadeonSE, основанные на коде из Mesa 17.2.4) теперь предлагаются в одном пакете и пользователь на своё усмотрение может выбрать открытые или закрытые драйверы. В новой версии также включено по умолчанию использование больших страниц памяти и добавлена поддержка дистрибутивов RHEL 7.4 и CentOS 7.4. Кроме того, в ближайшие дни ожидается открытие кода официальной реализации API Vulkan, ранее поставляемой в составе проприетарного драйвера AMDGPU-PRO и примечательной использованием единой кодовой базы для Linux и Windows.
Новость на Opennet.

6
Новости / Новые версии Debian 8.10 и 9.3
« : Декабрь 09, 2017, 20:43:03 »
"Подготовлено третье корректирующее обновление дистрибутива Debian 9, в которое включены накопившиеся обновления пакетов и устранены недоработки в инсталляторе. Выпуск включает 68 обновлений с устранением проблем со стабильностью и 56 обновлений с устранением уязвимостей. Из изменений в Debian 9.3 можно отметить удаление пакета libnet-ping-external-perl, оставшегося без сопровождения и содержащего неисправленные уязвимости. Обновлены до свежих стабильных версий пакеты postgresql-9.6, tzdata и base-files.

Установочные сборки, а также live iso-hybrid Debian 9.3 будут сформированы в ближайшие часы. Системы, установленные ранее и поддерживаемые в актуальном состоянии, получают обновления, присутствующие в Debian 9.3, через штатную систему установки обновлений. Включенные в новые выпуски Debian исправления проблем безопасности доступны пользователям по мере выхода обновлений через сервис security.debian.org.

Одновременно доступен новый выпуск прошлой стабильной ветки Debian 8.10, в который включено 54 обновления с устранением проблем со стабильностью и 94 обновления с устранением уязвимостей. Также удалены пакеты libnet-ping-external-perl и aiccu."
(ц)


Новость на Opennet

7
Состоялся релиз свободной реализации API OpenGL и Vulkan - Mesa 17.3. С прошлого выпуска внесено около 2700 изменений от примерно 120 разработчиков. Первый выпуск ветки Mesa 17.3.0 имеет экспериментальный статус - после проведения окончательной стабилизации кода будет выпущена стабильная версия 17.3.1. В Mesa 17.3 предоставляется полная поддержка OpenGL 4.5 для драйверов i965, radeonsi и nvc0, а также частичная поддержка недавно вышедшего стандарта OpenGL 4.6.
Новость на Opennet.
Spoiler: Подробности • показать

"Наиболее заметные изменения:

В состав включена библиотека libdxtn с реализацией механизма сжатия текстур S3TC (S3 Texture Compression), на который истёк срок действия патентов. Расширения GL_EXT_texture_compression_s3tc и GL_ANGLE_texture_compression_dx теперь по умолчанию включены для поддерживающих их драйверов;
В драйверах i965, nouveau (nvc0) и radeonsi проведена работа по реализации поддержки недостающих расширений, связанных со стандартом OpenGL 4.6. Полная поддержка OpenGL 4.6 пока не достигнута ни в одном из драйверов, главным образом из-за отсутствия расширений GL_ARB_gl_spirv и GL_ARB_spirv_extensions;
В драйвере etnaviv (GPU Vivante GCxxx) полностью реализованы все возможности OpenGL 2.1;
В драйвер radeonsi добавлена экспериментальная поддержка плоского бестипового промежуточного представления NIR, похожего на TGSI (Tungsten Graphics Shader Infrastructure) и Mesa IR, но работающее на самом нижнем уровне, под GLSL IR и внутренним IR Mesa. Добавлена серия оптимизаций, нацеленных на увеличение производительности различных игр;
Проведена оптимзация и расширены возможности процесса glthread (многопоточная реализация OpenGL). При тестировании glthread на системе с GPU Radeon R9 270 и CPU Core i5 отмечается увеличение FPS в игре Outlast на 10-20%. Расширен белый список игр, которые без проблем можно использовать с mesa_glthread;
Добавлена начальная поддержка сборочной системы Meson, на которую переходит GTK+ и GNOME;
Для устройств Radeon GFX9+ добавлена поддержка геометрических и тесселяционных шейдеров;
Добавлены новые расширения OpenGL:
GL_ARB_indirect_parameters в i965/gen7+
GL_ARB_polygon_offset_clamp в i965, nv50, nvc0, r600, radeonsi, llvmpipe, swr
GL_ARB_transform_feedback_overflow_query в radeonsi
GL_ARB_texture_filter_anisotropic в i965, nv50, nvc0, r600, radeonsi
GL_EXT_memory_object в radeonsi
GL_EXT_memory_object_fd в radeonsi
Добавлены новые расширения EGL:
EGL_ANDROID_native_fence_sync в radeonsi
EGL_IMG_context_priority в i965
В Vulkan-драйверы RADV (для карт AMD) и ANV (для карт Intel) добавлен набор расширений Vulkan.
В ANV:

VK_ANDROID_native_buffer
VK_KHR_bind_memory2
VK_KHR_external_fence
VK_KHR_external_fence_capabilities
VK_KHR_external_fence_fd
VK_KHR_external_semaphore
VK_KHR_external_semaphore_capabilities
VK_KHR_external_semaphore_fd
VK_KHR_image_format_list
VK_KHR_maintenance2
VK_KHR_relaxed_block_layout
VK_KHR_sampler_ycbcr_conversion
VK_EXT_debug_report
В RADV:

VK_KHR_bind_memory2
VK_KHR_dedicated_allocation
VK_KHR_external_memory
VK_KHR_external_memory_capabilities
VK_KHR_external_memory_fd
VK_KHR_external_semaphore
VK_KHR_external_semaphore_capabilities
VK_KHR_external_semaphore_fd
VK_KHR_get_memory_requirements2
VK_KHR_image_format_list
VK_KHR_maintenance2
VK_KHR_relaxed_block_layout
VK_KHR_storage_buffer_storage_class
VK_KHR_variable_pointers
VK_KHX_multiview
VK_EXT_debug_report
VK_EXT_global_priority
VK_AMD_draw_indirect_count
VK_AMD_rasterization_order
Проверена оптимизация производительности драйвера RADV, в том числе реализован отдельный дисковых кэш.
Дополнительно можно отметить начало разработки проекта DXVK, нацеленного на создание реализации DXGI и D3D11 поверх API Vulkan для предоставления возможности запуска 3D-приложений в Linux при помощи Wine."
(ц)


8
Представлен релиз свободного редактора звука Audacity 2.2.1, предоставляющего средства для редактирования звуковых файлов (Ogg Vorbis, FLAC, MP3 и WAV), записи и оцифровки звука, изменения параметров звукового файла, наложения треков и применения эффектов (например, подавление шума, изменение темпа и тона). Код Audacity распространяется под лицензией GPL, бинарные сборки доступны для Linux, Windows и macOS. В новой версии добавлена возможность изменения цветов индикатора формы звуковой волны, решены проблемы с правильным применением цепочек, налажена работа автоматической прокрутки при изменении границ блока.
Новость на Opennet

9
Сформирован второй альфа-выпуск инсталлятора следующего значительного релиза Debian 10 "Buster".
Новость на Opennet.
Spoiler: Ключевые изменения: • показать


"По умолчанию установлен и активирован пакет unattended-upgrades, обеспечивающий автоматическую установку обновлений, связанных с устранением уязвимостей;
Решены проблемы, связанные с поддержкой архитектуры mips64el, что позволило возродить поставку установочных образов для данной архитектуры;
В наборе busybox по умолчанию включены утилиты fgrep, blkdiscard, bzcat и lsssci;
Ядро Linux обновлено до ветки 4.13;
Добавлена возможность сборки установщика с использованием snapshot.debian.org для упрощения отладки регрессивных изменений;
В live-install обеспечена возможность использования localechooser для настройки локали в процессе установки;
В образ hd-media добавлены udeb-пакеты для определения ISO-образов в логических томах LVM;
В БД поддерживаемого оборудования добавлены платы Marvell Armada 8040 DB, Marvell 8040 MACHIATOBin, SolidRun HummingBoard Solo/DualLite, FriendlyArm NanoPi M1 Plus и Olimex A20-OLinuXino-LIME2-eMMC"
(ц)

10
Новости / Релиз CrossOver 17 для Linux и macOS
« : Декабрь 05, 2017, 20:18:54 »
Компания CodeWeavers выпустила релиз пакета Crossover 17, основанного на коде Wine и предназначенного для выполнения программ и игр, написанных для платформы Windows. CodeWeavers входит в число ключевых участников проекта Wine, спонсирует его разработку и возвращает в проект все новшества, реализованные для своих коммерческих продуктов. Исходные тексты открытых компонентов CrossOver 17 можно загрузить на данной странице.

Из изменений в новом выпуске обеспечена совместимость с офисным пакетом Microsoft Office 2016 и системой управления финансами Quicken 2017, а также улучшена поддержка Microsoft Office 2010 и 2013. Произведено обновление до свежей кодовой базы Wine, на основе которой в ближайшие недели будет сформирован выпуск Wine 3.0. Добавлена возможность запуска игры League of Legends в Linux. Решены проблемы с запуском Everquest и Everquest 2. Улучшена работа многих Windows-приложений на системах с экранами HighDPI. Заявленный по умолчанию уровень совместимости поднят с Windows XP до Windows 7.

Новость на Opennet.

11
В реализации сокетов с поддержкой протокола DCCP выявлена уязвимость CVE-2017-8824, потенциально позволяющая выполнить код на уровне ядра Linux через локальные манипуляции с сокетами DCCP из непривилегированного процесса. Уязвимость проявляется начиная с выпуска ядра Linux 2.6.16. Для тестирования подготовлен прототип эксплоита.
Новость на Opennet.
Spoiler: Подробности • показать

"Проблема вызвана обращением к уже освобождённому блоку памяти в коде обработки сокетов DCCP: Когда объект сокета находится в состоянии DCCP_LISTEN и выполняется вызов функции connect(), выполнение dccp_disconnect() переводит сокет в состояние DCCP_CLOSED, но не освобождает память для структур dccps_hc_tx_ccid и dccps_hc_rx_ccid и не обнуляет их. В дальнейшем, если вызвать connect() в режиме AF_INET6, объект сокета будет клонирован функцией dccp_create_openreq_child(), а на выходе выдан новый объект сокета, в котором сохранятся ссылки dccps_hc_rx_ccid и dccps_hc_tx_ccid из старого объекта сокета. Таким образом, старый и новый объекты сокета будут ссылаться на одну и ту же область памяти.

Уязвимость проявляется только в ядрах, собранных с опцией CONFIG_IP_DCCP, которая, как правило, включена по умолчанию. Исправление пока доступно только в виде патча. Обновления пакетов с ядром для дистрибутивов пока не выпущены (Debian, Fedora, openSUSE, SUSE, RHEL, Ubuntu). Примечательно, что критические проблемы в реализации DCCP уже обнаруживались в феврале 2017 года, а также в 2014 и 2008 годах. В качестве обходного пути защиты можно запретить загрузку модуля ядра dccp, который в обычных условиях загружается автоматически:
   echo "install dccp /bin/true" >> /etc/modprobe.d/disable-dccp.conf"
(ц)


12
Новости / Релиз медиапроигрывателя VLC 2.2.8
« : Декабрь 05, 2017, 20:15:27 »
Подготовлен корректирующий релиз медиаплеера VLC 2.2.8 (выпуски 2.2.6 и 2.2.7 не были официально анонсированы). В новом выпуске устранена уязвимость в коде распаковки медиаконтейнеров в формате AVI, которая может привести к разыменованию указателя при обработке специально оформленных AVI-файлов. Также устранены переполнения буфера в модуле обработки формата FLAC, в библиотеке libavcodec (CVE-2017-10699) и в обработчиках субтитров (CVE-2017-8310/8311/8312/8313).

Из не связанных с безопасностью изменений отмечается обеспечение совместимости с macOS High Sierra, решение проблем с отрисовкой субтитров SSA в macOS, улучшение определения каналов AAC 7.1, устранение краха при выполнении автоматического обновления, решение проблем в парсере ASX, добавление поддержки libupnp 1.8 и устранение краха в реализации протокола MTP.

Новость на Opennet.

13
В ядре Linux выявлена критическая уязвимость (CVE-2017-1000405), которая манипулирует недоработкой в прошлогодних патчах, устраняющих нашумевшую уязвимость Dirty COW (CVE-2016-5195), но, как оказалось, закрывающих не все векторы атаки. Проблема проявляется в ядрах с 2.6.38 по 4.14 и позволяет поднять свои привилегии в системе. Для проверки своих систем на наличие уязвимости доступен рабочий прототип эксплоита.
Новость на Opennet
Spoiler: Подробности • показать


"Уязвимость присутствует в подсистеме управления памятью (в функции pmd_mkdirty) в реализации режима Transparent HugePage (THP). К функции touch_pmd() можно получить доступ через вызов get_user_pages() и добиться изменения содержимого PMD (Page Medium Directory) без выполнения цикла copy-on-write (COW) при попытке записи (в нормальных условиях при изменении общих страниц происходит "write fault" и для пытающегося выполнить запись процесса создаётся копия страницы памяти, в которую и вносятся изменения). В итоге, появляется возможность изменения содержимого больших страниц памяти, находящихся в режиме только для чтения, в том числе нулевой страницы виртуального адресного пространства процессов.

В отличие от уязвимости Dirty COW отсутствует возможность изменения содержимого произвольных файлов, так как в Ext4 не поддерживается маппинг обычных файлов в память с применением THP-страниц. При этом можно добиться перезаписи THP в режиме read-only, например перезаписать содержимое памяти привилегированного процесса или файлов, привязанных к разделяемой памяти (файлы в shmem могут отражаться в память с использованием THP).

Проблема пока остаётся неисправленной в Debian, Ubuntu, openSUSE, Gentoo. Обновления уже выпущены для Fedora 26 и 27. Штатные ядра SUSE Linux Enterprise и RHEL/CentOS проблеме не подвержены. Для ядра Linux подготовлен патч. В качестве обходного пути защиты можно отключить THP или запретить маппинг нулевой страницы в режиме THP:


   echo never > /sys/kernel/mm/transparent_hugepage/enabled
   echo 0 > /sys/kernel/mm/transparent_hugepage/use_zero_page"
(ц)


14
Проект Mozilla опубликовал первый выпуск модели для системы машинного обучения, ориентированной на распознавание речи. Также опубликован использованный для тренировки модели набор голосовых данных, собранный в результате инициативы Common Voice и включающий примеры произношения около 20 тысяч людей, которые надиктовали почти 400 тысяч записей суммарной продолжительностью 500 часов.
Новость на Opennet.
Spoiler: Подробности • показать

"Благодаря участию в проекте большого числа добровольцев, удалось сформировать одну из крупнейших баз голосовых шаблонов, учитывающих всё разнообразие голосов и манер речи. Собранная база позволила натренировать модель для системы машинного обучения до уровня распознавания речи, при котором число ошибок примерно соответствует распознаванию обычным человеком при прослушивании тех же записей. В текущем виде число ошибок распознавания составляет 6.5% при использовании тестового набора LibriSpeech. Для сравнения, уровень ошибок при распознавании человеком оценивается в 5.83%, а уровень ошибок при работе Google Speech составляет 6.64%, wit.ai - 7.94%, Bing Speech - 11.73%, Apple Dictation - 14.24%.

В основе системы распознавания речи Mozilla лежит движок DeepSpeech, созданный с использованием открытой компанией Google платформы машинного обучения TensorFlow. DeepSpeech реализует в коде одноимённую архитектуру распознавания речи, предложенную исследователями из компании Baidu. Предложенный Mozilla набор помимо модели распознавания речи и примеров произношения включает готовые к применению модули для Python и NodeJS, позволяющие без лишних усложнений встроить в свои программы функции распознавания речи. Также поставляется инструментарий для распознавания из командной строки. Движок распознавания речи достаточно быстр и не требователен к ресурсам, что позволяет использовать его даже на платах Raspberry Pi.

DeepSpeech значительно проще традиционных систем и при этом обеспечивает более высокое качество распознавания при наличии постороннего шума. В разработке не используются традиционные акустические модели и концепция фонем, вместо которых применяется хорошо оптимизированная система машинного обучения на основе нейронной сети, что позволяет обойтись без разработки отдельных компонентов для моделирования различных отклонений, таких как шум, эхо и особенности речи. Особенностью DeepSpeech является то, что для получения качественного распознавания данная архитектура требует большого объёма разнородных данных для осуществления обучения, надиктованных в реальных условиях разными голосами и при наличии естественных шумов.

Опубликованный набор голосовых данных не ограничен применением в DeepSpeech и может оказаться полезным и для других открытых проектов, занимающихся распознаванием речи, таких как Sphinx, Kaldi, VoxForge, ISIP, HTK и Julius. До сих пор исследователям и разработчикам были доступны только ограниченные наборы голосовых данных, а стоимость полноценных коллекций голосовых выборок исчислялась десятками тысяч долларов, что сильно тормозило независимые исследования в области распознавание речи. В настоящее время работа сосредоточена только на распознавании английского языка, но в первой половине 2018 года планируется приступить к сбору примеров произношения для других языков."
(цитата)



15
Новости / Выпуск Midnight Commander 4.8.20
« : Ноябрь 26, 2017, 20:14:02 »
Доступен выпуск консольного файлового менеджера Midnight Commander 4.8.20, распространяемого в исходных текстах под лицензией GPLv3+.
Новость на Opennet

Spoiler: Список основных изменений • показать
Ускорено выполнение нормализации имён файлов для кодировки UTF-8, что привело к увеличению скорости отображения отсортированного списка файлов в больших каталогах;
В редакторе добавлена поддержка подсветки синтаксиса языка TypeScript, элементов ES2015, Protocol Buffers, gRPC и разметки Apache Hive QL. Обновлена база ключевых слов SQL и PHP;
Добавлена начальная поддержка разметки Markdown;
Обеспечено выделение файлов с расширением txz как архивов tgz;
В файл filehighlight.ini добавлены новые мультимедийные расширения;
Устранено 25 ошибок, в том числе решена проблема с неверной установкой времени при копировании файлов из архивов tar.gz и cpio.

Страницы: [1] 2 3